List meetings
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/meetings \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/meetings"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/meetings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/meetings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/meetings")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/meetings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": 31,
"event_id": 11,
"title": "Annual General Meeting",
"meeting_start": "2026-10-01T10:00:00Z",
"valid_from": "2026-10-01T09:45:00Z",
"valid_until": "2026-10-01T12:30:00Z",
"status": "scheduled",
"provisioning_status": "ready",
"createddate": "2026-09-14T08:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Meetings
List Meetings
Retrieve the chapter in-app meetings, newest start first.
GET
/
v1
/
meetings
List meetings
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/meetings \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/meetings"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/meetings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/meetings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/meetings")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/meetings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": 31,
"event_id": 11,
"title": "Annual General Meeting",
"meeting_start": "2026-10-01T10:00:00Z",
"valid_from": "2026-10-01T09:45:00Z",
"valid_until": "2026-10-01T12:30:00Z",
"status": "scheduled",
"provisioning_status": "ready",
"createddate": "2026-09-14T08:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Retrieve the chapter in-app meetings, newest start first. Filter by
from / to on the start time. Room identifiers and join handles are never exposed.
Required scope: meetings:read
{
"status": "success",
"data": [
{
"id": 31,
"event_id": 11,
"title": "Annual General Meeting",
"meeting_start": "2026-10-01T10:00:00Z",
"valid_from": "2026-10-01T09:45:00Z",
"valid_until": "2026-10-01T12:30:00Z",
"status": "scheduled",
"provisioning_status": "ready",
"createddate": "2026-09-14T08:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Authorizations
ApiKeyAuthBearerAuth
Query Parameters
Required for association-wide keys; must match the key's chapter for chapter-bound keys.
Required range:
x >= 0Required range:
1 <= x <= 200
